Bug 12914 - Fix flakey smbclient tests for symlink checking
Fix flakey smbclient tests for symlink checking
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.6.0
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks: 12999
  Show dependency treegraph
 
Reported: 2017-07-18 10:53 UTC by Andreas Schneider
Modified: 2017-10-20 09:07 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-7-test (18.12 KB, patch)
2017-07-19 20:08 UTC, Stefan Metzmacher
jra: review+
Details
stdout from the failing autobuild (95.70 KB, text/plain)
2017-07-20 06:39 UTC, Stefan Metzmacher
no flags Details
stderr from the failing autobuild (500.08 KB, text/plain)
2017-07-20 06:40 UTC, Stefan Metzmacher
no flags Details
Patches for v4-7-test (4.09 KB, patch)
2017-07-20 06:44 UTC, Stefan Metzmacher
metze: review? (jra)
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-07-18 10:53:10 UTC
We have a flakey test in autobuild which has issues that files are created locally and not trough smbd.

The error is:

UNEXPECTED(failure): samba3.blackbox.smbclient_s3.sign (nt4_member) member creds.follow symlinks = no(nt4_member)
REASON: Exception: Exception: CLI_FORCE_INTERACTIVE=yes /memdisk/autobuild/fl/b22467/samba/bin/smbclient -ULOCALNT4MEMBER3/autobuild%localnt4member3pass //LOCALNT4MEMBER3/nosymlinks -I 127.0.0.4 --configfile=/memdisk/autobuild/fl/b22467/samba/bin/ab/client/client.conf --signing=required
NT_STATUS_ACCESS_DENIED opening remote file 	est\source
CLI_FORCE_INTERACTIVE=yes /memdisk/autobuild/fl/b22467/samba/bin/smbclient -ULOCALNT4MEMBER3/autobuild%localnt4member3pass //LOCALNT4MEMBER3/nosymlinks -I 127.0.0.4 --configfile=/memdisk/autobuild/fl/b22467/samba/bin/ab/client/client.conf --signing=required
CLI_FORCE_INTERACTIVE=yes /memdisk/autobuild/fl/b22467/samba/bin/smbclient -ULOCALNT4MEMBER3/autobuild%localnt4member3pass //LOCALNT4MEMBER3/nosymlinks -I 127.0.0.4 --configfile=/memdisk/autobuild/fl/b22467/samba/bin/ab/client/client.conf --signing=required
NT_STATUS_FILE_IS_A_DIRECTORY opening remote file 	estooar	estfile
Domain=[SAMBA-TEST] OS=[] Server=[]
smb: \> cd testooar
smb: 	estooar\> ls
  .                                   D        0  Tue Apr 11 12:31:04 2017
  ..                                  D        0  Tue Apr 11 12:31:04 2017
  testfile                            D        0  Tue Apr 11 12:31:04 2017

		39240824 blocks of size 1024. 33619008 blocks available
smb: 	estooar\> get testfile -
NT_STATUS_FILE_IS_A_DIRECTORY opening remote file 	estooar	estfile
smb: 	estooar\> quit
failed - NT_STATUS_XXXX doing cd fooar; get testfile on 
osymlinks

FAILED (1 failures, 0 errors and 0 unexpected successes in 0 testsuites)



Patch will follow.
Comment 1 Stefan Metzmacher 2017-07-19 20:08:32 UTC
Created attachment 13401 [details]
Patches for v4-7-test
Comment 2 Stefan Metzmacher 2017-07-19 20:11:19 UTC
Today autobuild-v4-6-test failed with this problem. I guess v4-4-test and 
v4-5-test also have this.

What should we do here? The patches don't apply to v4-6-test (and older)
should we mark it as flapping for older trees?
Comment 3 Jeremy Allison 2017-07-19 20:41:54 UTC
Yes, they don't apply as they need the 'deltree' command applied to smbclient for 4.7.x.

Easiest to mark 'flapping' on earlier builds, so long as this keeps working on 4.7.x.
Comment 4 Jeremy Allison 2017-07-19 20:52:51 UTC
Reassigning to Karolin for inclusion in 4.7.0.
Comment 5 Stefan Metzmacher 2017-07-20 05:19:52 UTC
(In reply to Jeremy Allison from comment #4)

Pushed to autobuild-v4-7-test
Comment 6 Stefan Metzmacher 2017-07-20 06:38:44 UTC
(In reply to Stefan Metzmacher from comment #5)

Did I miss some patches in the backport???

The autobuild failed like this:

[327(1338)/2168 at 18m40s] samba3.blackbox.smbclient_s3.NT1.plain (nt4_dc)(nt4_dc)
UNEXPECTED(failure): samba3.blackbox.smbclient_s3.NT1.plain (nt4_dc).follow symlinks = no(nt4_dc)
REASON: Exception: Exception: CLI_FORCE_INTERACTIVE=yes /memdisk/metze/a47/b813535/samba/bin/smbclient -Umetze%localntdc2pass //LOCALNT4DC2/nosymlinks -I 127.0.0.3
CLI_FORCE_INTERACTIVE=yes /memdisk/metze/a47/b813535/samba/bin/smbclient -Umetze%localntdc2pass //LOCALNT4DC2/nosymlinks -I 127.0.0.3 --configfile=/memdisk/metze/a47/b813535/samba/bin/ab/client/client.conf -mNT1
NT_STATUS_ACCESS_DENIED opening remote file 	est\source
CLI_FORCE_INTERACTIVE=yes /memdisk/metze/a47/b813535/samba/bin/smbclient -Umetze%localntdc2pass //LOCALNT4DC2/nosymlinks -I 127.0.0.3 --configfile=/memdisk/metze/a47/b813535/samba/bin/ab/client/client.conf -mNT1
CLI_FORCE_INTERACTIVE=yes /memdisk/metze/a47/b813535/samba/bin/smbclient -Umetze%localntdc2pass //LOCALNT4DC2/nosymlinks -I 127.0.0.3 --configfile=/memdisk/metze/a47/b813535/samba/bin/ab/client/client.conf -mNT1
CLI_FORCE_INTERACTIVE=yes /memdisk/metze/a47/b813535/samba/bin/smbclient -Umetze%localntdc2pass //LOCALNT4DC2/nosymlinks -I 127.0.0.3 --configfile=/memdisk/metze/a47/b813535/samba/bin/ab/client/client.conf -mNT1
Try "help" do get a list of possible commands.
smb: \> deltree test
*** Error in `/memdisk/metze/a47/b813535/samba/bin/smbclient': free(): invalid pointer: 0x00002ae8b248ba30 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x7329f)[0x2ae8ac84e29f]
/lib/x86_64-linux-gnu/libc.so.6(+0x803fe)[0x2ae8ac85b3fe]
/memdisk/metze/a47/b813535/samba/bin/smbclient(+0xd9a5)[0x2ae8aafb29a5]
/memdisk/metze/a47/b813535/samba/bin/smbclient(+0xec5f)[0x2ae8aafb3c5f]
/memdisk/metze/a47/b813535/samba/bin/smbclient(+0x16b98)[0x2ae8aafbbb98]
/memdisk/metze/a47/b813535/samba/bin/smbclient(+0x16d77)[0x2ae8aafbbd77]
/memdisk/metze/a47/b813535/samba/bin/smbclient(main+0xe17)[0x2ae8aafbd154]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x2ae8ac7fcf45]
/memdisk/metze/a47/b813535/samba/bin/smbclient(+0x8449)[0x2ae8aafad449]
Comment 7 Stefan Metzmacher 2017-07-20 06:39:56 UTC
Created attachment 13402 [details]
stdout from the failing autobuild
Comment 8 Stefan Metzmacher 2017-07-20 06:40:31 UTC
Created attachment 13403 [details]
stderr from the failing autobuild
Comment 9 Stefan Metzmacher 2017-07-20 06:43:10 UTC
(In reply to Stefan Metzmacher from comment #6)

It seems I missed "s3: client: Move struct file_list code to using talloc from malloc." (e9d33bf89f7c3932522e7696182bfc590d049095)
Comment 10 Stefan Metzmacher 2017-07-20 06:44:54 UTC
Created attachment 13404 [details]
Patches for v4-7-test
Comment 11 Stefan Metzmacher 2017-07-20 09:34:24 UTC
(In reply to Stefan Metzmacher from comment #10)

Pushed to autobuild-v4-7-test again
Comment 12 Jeremy Allison 2017-07-20 15:57:55 UTC
Sorry Metze, I just looked over the patch and everything seemed there. Sorry I missed the prerequisite one.
Comment 13 Stefan Metzmacher 2017-07-20 22:39:14 UTC
(In reply to Stefan Metzmacher from comment #11)

Pushed to v4-7-test.

We keep this open for the v4-{5,6}-test simple fixes
Comment 15 Stefan Metzmacher 2017-10-20 09:07:14 UTC
Simply fixes are in v4-{5,6}-{test,stable}